Subject: [PATCH V2 5/5] i2c: riic: add driver

From: [email-masked] (Wolfram Sang)
Date: Fri, 20 Dec 2013 16:47:46 +0100

> disable interrupts at runtime and use that as a state machine, while I was 
> wondering whether it wouldn't be simpler to keep all interrupts enabled at all 
> time and handle the synchronization explicitly.

If I do this, I'll get another "spurious" interrupt telling me the transmit
register is empty again, even after I wrote the last byte. I don't like
this.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20131220/6415bb9c/attachment.sig>